using System;
using System.Collections.Generic;
using System.ComponentModel;
using Microsoft.Ccr.Core;
using Microsoft.Dss.Core.Attributes;
using Microsoft.Dss.ServiceModel.Dssp;
using Microsoft.Dss.ServiceModel.DsspServiceBase;
using W3C.Soap;

namespace RobotinoMRDS.Simulation.Scenarios.WallFollow.PopulateEnvironment
{
    /// <summary>
    /// PopulateEnvironment contract class
    /// </summary>
    public sealed class Contract
    {
        /// <summary>
        /// DSS contract identifer for PopulateEnvironment
        /// </summary>
        [DataMember]
        public const string Identifier = "http://servicerobotics.eu/2011/11/populateenvironment.html";
    }

    /// <summary>
    /// PopulateEnvironment state
    /// </summary>
    [DataContract]
    public class PopulateEnvironmentState
    {
    }

    /// <summary>
    /// PopulateEnvironment main operations port
    /// </summary>
    [ServicePort]
    public class PopulateEnvironmentOperations : PortSet<DsspDefaultLookup, DsspDefaultDrop>
    {
    }
}


